> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turboapi.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Credits Required for This Call

> Get the credits required for this call. Any object can be passed, and it will be bound internally according to the API template



## OpenAPI

````yaml api/en/api-turbo/openapi.json post /api/product/credits/required/{api_id}
openapi: 3.0.0
info:
  contact: {}
  title: Turbo API
  version: 1.0.0
  description: >-
    Turbo API documentation, providing complete API product management, user
    authentication, order management and other functions
servers:
  - url: https://api.turbo.com
    description: Production
  - url: https://api-dev.turbo.com
    description: Development
security: []
paths:
  /api/product/credits/required/{api_id}:
    post:
      tags:
        - API Products
      summary: Get Credits Required for This Call
      description: >-
        Get the credits required for this call. Any object can be passed, and it
        will be bound internally according to the API template
      parameters:
        - name: api_id
          in: path
          description: API Product ID
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          Request parameters (any object, will be bound internally according to
          the API template)
        required: true
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          description: Credits required for this call
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/schema.APIProductCreditsRequiredRep'
components:
  schemas:
    schema.APIProductCreditsRequiredRep:
      type: object
      properties:
        credits:
          description: Credits
          type: integer

````